package zdaemon

import "io"

type ProgramInterface interface {
	SetLocalLogWriter(writer io.Writer)
	Start() error
	Stop() error
	OtherOperation(op string, args []string) string
	GetStatus() (status string, hasExtra bool, extra map[string]string)
}
